=== example/strings/CMakeLists.txt ===
ADD_EXAMPLE(chomp)
ADD_EXAMPLE(count)
ADD_EXAMPLE(ends_with)
ADD_EXAMPLE(find)
ADD_EXAMPLE(join)
ADD_EXAMPLE(padl)
ADD_EXAMPLE(padr)
ADD_EXAMPLE(replace_all)
ADD_EXAMPLE(slice)
ADD_EXAMPLE(starts_with)
ADD_EXAMPLE(strip)
ADD_EXAMPLE(to_string)
ADD_EXAMPLE(to_c_char)
ADD_EXAMPLE(zfill)
ADD_EXAMPLE(string_to_number)
ADD_EXAMPLE(stream_of_strings_to_numbers)
