=== src/array/CMakeLists.txt ===
set(array_fppFiles
    )

set(array_cppFiles
    )

set(array_f90Files
    stdlib_array.f90
    )

configure_stdlib_target(${PROJECT_NAME}_array array_f90Files array_fppFiles array_cppFiles)
